# toki pona
MI = 'mi'
SINA = 'sina'
ONA = 'ona'
LI = 'li'
PONA = 'pona'
IKE = 'ike'
SULI = 'suli'
LILI = 'lili'
KILI = 'kili'
SOWELI = 'soweli'

ALA = 'ala'
ALE = 'ale'
UTALA = 'utala'
WAWA = 'wawa'
SUWI = 'suwi'
JAN = 'jan'
MAMA = 'mama'
MELI = 'meli'
MIJE = 'mije'
MOKU = 'moku'

E = 'e'
IJO = 'ijo'
ILO = 'ilo'
LIPU = 'lipu'
LUKIN = 'lukin'
OLIN = 'olin'
PALI = 'pali'
PANA = 'pana'
TELO = 'telo'
TOMO = 'tomo'

JO = 'jo'
KALA = 'kala'
KASI = 'kasi'
PIPI = 'pipi'
SITELEN = 'sitelen'
TOKI = 'toki'
WASO = 'waso'
MA = 'ma'
KIWEN = 'kiwen'
KO = 'ko'

ANTE = 'ante'
AWEN = 'awen'
EN = 'en'
KALAMA = 'kalama'
KULUPU = 'kulupu'
LAPE = 'lape'
MUTE = 'mute'
NI = 'ni'
PAKALA = 'pakala'
SELI = 'seli'

KEPEKEN = 'kepeken'
LON = 'lon'
SAMA = 'sama'
TAN = 'tan'
TAWA = 'tawa'
SEWI = 'sewi'
NOKA = 'noka'
POKA = 'poka'
MONSI = 'monsi'
SINPIN = 'sinpin'

A = 'a'
ANU = 'anu'
MU = 'mu'
O = 'o'
SEME = 'seme'
KUTE = 'kute'
NIMI = 'nimi'
LAWA = 'lawa'
ANPA = 'anpa'
INSA = 'insa'

KULE = 'kule'
JELO = 'jelo'
LASO = 'laso'
LOJE = 'loje'
PIMEJA = 'pimeja'
WALO = 'walo'
NASA = 'nasa'
JAKI = 'jaki'
MOLI = 'moli'
UNPA = 'unpa'

PI = 'pi'
LA = 'la'
LUKA = 'luka'
LINJA = 'linja'
PALISA = 'palisa'
SELO = 'selo'
SIJELO = 'sijelo'
LEN = 'len'
LETE = 'lete'
MUSI = 'musi'

KAMA = 'kama'
KEN = 'ken'
OPEN = 'open'
PINI = 'pini'
SONA = 'sona'
WILE = 'wile'
LUPA = 'lupa'
NASIN = 'nasin'
NENA = 'nena'
TENPO = 'tenpo'

WAN = 'wan'
TU = 'tu'
SIKE = 'sike'
MANI = 'mani'
ESUN = 'esun'
MUN = 'mun'
NANPA = 'nanpa'
POKI = 'poki'
SIN = 'sin'
SUNO = 'suno'

AKESI = 'akesi'
ALASA = 'alasa'
KON = 'kon'
PAN = 'pan'
PILIN = 'pilin'
PU = 'pu'
SUPA = 'supa'
TASO = 'taso'
UTA = 'uta'
WEKA = 'weka'

NAMAKO = 'namako'
KIN = 'kin'
OKO = 'oko'
KIPISI = 'kipisi'
LEKO = 'leko'
MONSUTA = 'monsuta'
MISIKEKE = 'misikeke'
SOKO = 'soko'
MESO = 'meso'
EPIKU = 'epiku'
LANPAN = 'lanpan'
N = 'n'
KIJETESANTAKALU = 'kijetesantakalu'
KU = 'ku'

# english
toki_pona_en = {
    "LESSON_01": {
        MI: 'I, me, us',
        SINA: 'you, your',
        ONA: 'he, she, it, they',
        LI: 'is, are, was, were',
        PONA: 'good, simple, to improve, to fix',
        IKE: 'bad, evil, complex, unnecessary',
        SULI: 'big, great, important, to grow',
        LILI: 'small, little, few, young, to shrink',
        KILI: 'fruit, vegetable, mushroom',
        SOWELI: 'animal, mammal, land animal',
    },
    "LESSON_02": {
        ALA: 'no, not, zero',
        ALE: 'everything, anything, life, the universe',
        UTALA: 'fight, war, battle, to fight',
        WAWA: 'strong, powerful, energy, strength',
        SUWI: 'sweet, cute, to sweeten',
        JAN: 'person, people, human, somebody',
        MAMA: 'parent, mother, father',
        MELI: 'woman, female, feminine, wife',
        MIJE: 'man, male, masculine, husband',
        MOKU: 'to eat, food',
    },
    "LESSON_03": {
        E: 'specify direct object',
        IJO: 'thing, something, stuff, anything',
        ILO: 'tool, device, machine',
        LIPU: 'book, document, paper',
        LUKIN: 'to look, eye, to see, to seek to',
        OLIN: 'love, compassion, affection',
        PALI: 'to do, to work, to make, labor',
        PANA: 'to give, to send, to emit',
        TELO: 'water, liquid, juice, to wash, to clean',
        TOMO: 'house, home, building, room',
    },
    "LESSON_04": {
        JO: 'to have, to contain, to hold',
        KALA: 'fish, sea creature, marine animal',
        KASI: 'plant, leaf, herb, tree, wood',
        PIPI: 'bug, insect, spider, worm',
        SITELEN: 'picture, image, to draw, to write',
        TOKI: 'to talk, language, speech, to say',
        WASO: 'bird, flying animal, winged creature',
        MA: 'land, earth, country, outside area',
        KIWEN: 'rock, stone, metal, hard thing',
        KO: 'clay, dough, paste, powder',
    },
    "LESSON_05": {
        ANTE: 'different, changed, other, to change',
        AWEN: 'stay, keep, endure, protect, continue',
        EN: 'and, also, too, in addition',
        KALAMA: 'to make noise, sound, noise, voice',
        KULUPU: 'group, community, society, nation',
        LAPE: 'sleep, rest, to sleep',
        MUTE: 'many, very, much, several, a lot',
        NI: 'this, that, these, those',
        PAKALA: 'broken, ruined, destroyed, to break, curse',
        SELI: 'fire, warmth, heat, to heat, to warm up',
    },
    "LESSON_06": {
        KEPEKEN: 'to use, with, by means of, to use',
        LON: 'in, at, on, true, to exist',
        SAMA: 'same, similar, equal, to resemble',
        TAN: 'from, by, because of, since, origin',
        TAWA: 'going to, toward, to, for, towards, movement',
        SEWI: 'up, high, above, top, sky, god, to elevate',
        NOKA: 'leg, foot, to walk, to travel',
        POKA: 'side, hip, next to, nearby, to be next to',
        MONSI: 'back, rear, butt, behind, to follow',
        SINPIN: 'front, chest, wall, to face',
    },
    "LESSON_07": {
        A: 'ah, ha, uh, oh, oops, woe',
        ANU: 'or',
        MU: 'moo, any animal noise',
        O: 'hey, oh, o, oops, uh, ah',
        SEME: 'what, which, wh- question word',
        KUTE: 'ear, to hear, to listen',
        NIMI: 'word, name, to name',
        LAWA: 'head, mind, brain, to control',
        ANPA: 'bottom, lower part, under, to be below',
        INSA: 'inside, inner world, stomach, to be inside',
    },
    "LESSON_08": {
        KULE: 'color, paint, colorful, to color',
        JELO: 'yellow',
        LASO: 'blue, green',
        LOJE: 'red, pink, orange, purple',
        PIMEJA: 'black, dark, shadow, darkness',
        WALO: 'white, light, bright, clear',
        NASA: 'unusual, strange, crazy, silly, drunk',
        JAKI: 'dirty, gross, to pollute, to contaminate',
        MOLI: 'dying, death',
        UNPA: 'sexual relations',
    },
    "LESSON_09": {
        PI: 'of, belonging to',
        LA: 'if, when, during, while, because',
        LUKA: 'hand, arm, five, to grab',
        LINJA: 'thread, hair, long, straight, rope, ',
        PALISA: 'stick, rod, branch, long, straight',
        SELO: 'outside, surface, skin, bark, shell',
        SIJELO: 'body, physical state, torso, shape',
        LEN: 'clothing, cloth, fabric, to wear',
        LETE: 'cold, cool, frozen, to cool down',
        MUSI: 'fun, art, play, game, to play',
    },
    "LESSON_10": {
        KAMA: 'to come, to become, to arrive, to happen',
        KEN: 'can, is able to, is allowed to, to be able to',
        OPEN: 'to open, to turn on, to start, to begin',
        PINI: 'finished, past, done, to finish',
        SONA: 'to know, knowledge, wisdom, intelligence',
        WILE: 'to want, to need, to have to, to wish',
        LUPA: 'hole, orifice, window, door, to open',
        NASIN: 'way, manner, custom, road, path, doctrine',
        NENA: 'bump, hill, mountain, button, nose',
        TENPO: 'time, period of time, moment, duration',
    },
    "LESSON_11": {
        WAN: 'one, a, unit, element, particle',
        TU: 'two, pair, double, to separate',
        SIKE: 'circle, wheel, ball, cycle, round',
        MANI: 'money, material wealth, currency, large domesticated animal',
        ESUN: 'market, shop, store, to buy, to sell',
        MUN: 'moon, satellite',
        NANPA: 'number, amount, quantity, to count',
        POKI: 'container, box, bowl, cup, to contain',
        SIN: 'new, fresh, another, more',
        SUNO: 'sun, light, bright, to shine',
    },
    "LESSON_12": {
        AKESI: 'reptile, amphibian, dragon, monster',
        ALASA: 'hunt, to hunt, to forage',
        KON: 'air, wind, smell, soul, spirit',
        PAN: 'bread, grain, cereal, pasta, rice',
        PILIN: 'feeling, emotion, heart, to feel',
        PU: 'book of Toki Pona',
        SUPA: 'horizontal surface, table, chair, to sit',
        TASO: 'only, sole, but, however, to limit',
        UTA: 'mouth, lips, to kiss',
        WEKA: 'absent, missing, to remove',
    },
    "LESSON_13": {
        NAMAKO: 'extra, accessory, spice, to add',
        KIN: 'also, even, indeed, too, still',
        OKO: 'eye, to see, to watch, to look at',
        KIPISI: 'to cut, to slice, to divide, to share',
        LEKO: 'block, cube, square, rectangle, to block',
        MONSUTA: 'monster, alien, mutant, demon',
        MISIKEKE: 'medicine, drug, chemical, to medicate',
        SOKO: 'mushroom, fungus',
        EPIKU: 'epic, epic poem, saga',
        LANPAN: 'to get, seize, steal, to take',
        N: 'hmm..., umm...',
        KIJETESANTAKALU: 'racoon',
        KU: 'toki pona dictionary'
    },
}

TOK_EN_PHRASES = {
    "LESSON_01": {
        'ona li suli': 'he is big',
        'ona li lili': 'he is small',
        'ona li moku': 'he is eating',
        'kili li pona': 'fruit is good',
        'sina suli': 'you are important',
        'sowli li suli': 'animals are important',
        'mi suli': 'I am great',
        'ona li soweli': 'it is an animal',
        'sina ike': 'you are bad',
    },

    "LESSON_02": {
        'jan wawa': 'a strong person',
        'mama mi': 'my parent',
        'soweli sina': 'your animal',
        'moku ona': 'his food',
        'wawa sina': 'your strength',
        'suli ona': 'his greatness',
        'soweli lili suli': 'cute small animal',
        'mama mi li pona': 'my parent is good',
        'kili suwi li moku pona': 'sweet fruit is good food',
        'jan utala li wawa': 'a warrior is strong',
        'jan lili mi li suwi': 'my child is cute',
        'soweli lili li wawa ala': 'small animals are not strong',
        'meli mi li pona': 'my wife is good',
        'mije sina li suli': 'your husband is big',
        'mama mije mi li wawa': 'my father is strong',
        'soweli ale li pona': 'all animals are good',
        'kili li moku suli': 'fruits are important food',
        'meli mi li suwi': 'my wife is adorable',
        'jan utala ale li ike': 'all warriors are bad',
        'jan pona mi li jan pona sina': 'my friend is your friend',
        'jan lili mije sina li wawa': 'your son is strong',
        'kili lili li suwi': 'small fruits are sweet',
    },

    "LESSON_03": {
        'mije li pali': 'a man is working',
        'jan wawa li pali pona': 'a strong person is working well',
        'jan wawa li pali e tomo': 'a strong person is building a house',
        'jan pali li pana e moku pona': 'a worker is giving good food',
        'jan pona mi li pona e ilo lukin': 'my friend is fixing the glasses',
        'mi telo e moku': 'I am washing the food',
        'mi olin e meli mi': 'I love my wife',
        'sina pona lukin': 'you look good',
        'jan lili li pana e telo lukin': 'a child is crying',
        'ona li lukin e lipu': 'he is reading a book',
        'soweli ike li utala e meli': 'bad animal is attacking a woman',
        'jan utala li moku e kili suli': 'a warrior is eating a big fruit',
        'soweli lili li moku e telo': 'a small animal is drinking water',
        'mi telo e ijo suli': 'I am washing a big thing',
        'ona li olin e jan ale': 'he loves everyone',
        'tomo telo li pona': 'a bathroom is good',
        'mi pana e lipu': 'I am giving a book',
        'jan utala ike li lukin e tomo sina': 'a bad warrior is looking at your house',
        'ilo mi li pali pona': 'my tool is working well',
    },

    "LESSON_04": {
        'jan pali li telo e kasi': 'The worker is watering the plants.',
        'jan wawa li jo e kiwen suli': 'The strong person is carrying big rocks.',
        'telo suli li jo e kala': 'The sea has fish.',
        'mi sitelen e toki sina': 'I am writing down your speech.',
        'waso lili li moku e pipi': 'The small bird eats bugs.',
        'ma tomo mi li suli': 'My city is big.',
        'ona li toki meli': 'They talk about women.',
        'sina toki e kala': 'You talk about fish.',
        'mi toki lon ijo': 'I talk about something.',
        'jan pali li toki utala e tomo mi': 'The worker criticizes my house.',
        'ona li toki ike e jan pona mi': 'They speak bad things about my friend.',
        'meli li toki e soweli, e waso': 'A woman is talking about land animals and birds.',
        'jan pali li pona e ilo, li lukin e lipu': 'A worker fixes the device and looks at a document.',
        'mi moku ala e soweli': 'I don’t eat animals',
        'jan pona sina li toki e ma, e telo': 'Your friend is talking about the land and the water.',
        'jan suli li lukin e ma tomo, li sitelen e ijo': 'An important person is looking at the city and writing things down.',
        'ma li jo e kasi ike': 'The land has weeds',
        'pipi lili li suli, li pona': 'Small bugs are important and good.',
        'ma tomo sina li jo ala e jan pali': 'Your city doesn’t have any workers.',
        'mije mi li pali ala, li moku, li utala': 'My husband doesn’t work, only eats and fights.',
        'ma mama mi li suli': 'My homeland is large.',
        'sitelen sina li pona lukin': 'Your painting looks good.',
        'jan pona mi li jo e kala e kili li pali e moku pona': 'My friend has fish and fruit and makes good food.',
    },

    "LESSON_05": {
        'mi en sina li moku': 'You and I are eating.',
        'jan utala mute': 'many warriors',
        'jan lili mute li lape': 'The children are sleeping',
        'kiwen suli li pakala e tomo lipu': 'A big rock damaged the library',
        'mi pakala lili': 'I made a little mistake.',
        'ilo sina li kalama mute ike': 'Your instrument is making lots of bad noise.',
        'kulupu ni li pona mute': 'This community is very good.',
        'jan lili li toki e ni: sina pona': 'The child said that you’re good.',
        'ona li toki e ni: “toki! sina pona lukin”': 'They said: “Hello! You look good.”',
        'jan pali ni li pali e tomo mi: ona li jo e kiwen mute': 'The worker with lots of rocks built my home',
        'kulupu sina li ante mute': 'Your community is very different.',
        'jan ike li pakala e ilo mi': 'A bad person broke my tools.',
        'mi pali e tomo ni': 'I built this house.',
        'jan utala pona mute li awen e kulupu ni': 'The good warriors protect this community.',
        'kulupu suli li awen, li suli e ona': 'The large community endures and grows itself',
        'moku seli li pona mute': 'Warm food is very good.',
        'jan lili lape li kalama ala': 'Sleeping children don’t make noises.',
        'jan pali mute li toki e ni: ona li wawa, li kiwen': 'The workers said that they are strong and tough.',
        'sina ante lukin': 'You look different.',
        'tomo ni li awen e seli': 'This house preserves the heat.',
    },

    "LESSON_06": {
        '': '',
    },

    "LESSON_07": {
        '': '',
    },

    "LESSON_08": {
        '': '',
    },

    "LESSON_09": {
        '': '',
    },

    "LESSON_10": {
        '': '',
    },

    "LESSON_11": {
        '': '',
    },

    "LESSON_12": {
        '': '',
    },

    "LESSON_13": {
        '': '',
    },

}

# groups
GROUPS = dict(
    GROUP_VERBS=[
        OLIN,
        LANPAN,
        PANA,
        JO,
        KEN,
        WILE,
        PALI,
        KAMA,
        KEPEKEN,
        TOKI,
        ALASA,
        LUKIN,
        LAPE,
        LAWA,
        AWEN,
        MOKU,
        MOLI,
        KIPISI,
        WEKA,
        UNPA,
        TAWA,
        KALAMA,
        UTALA,
        SONA,
    ],
    GROUP_NOUNS=[
        IJO,
        ILO,
        ESUN,
        TOMO,
        SITELEN,
        KIWEN,
        KO,
        LEKO,
        SIKE,
        PAN,
        PALISA,
        LIPU,
        POKI,
        MONSUTA,
    ],
    GROUP_ADJECTIVES=[
        PONA,
        IKE,
        WAWA,
        EPIKU,
        SULI,
        LILI,
        SUWI,
        SIN,
        PINI,
        PAKALA,
        NAMAKO,
        NASA,
    ],
    GROUP_HARDNESS=[
        KIWEN,
        KO,
        PALISA,
        PAKALA,
    ],
    GROUP_ANIMALS=[
        SOWELI,
        PIPI,
        AKESI,
        KALA,
        WASO,
        KIJETESANTAKALU,
        MU,
    ],
    GROUP_PLANTS=[
        KASI,
        KILI,
        SOKO,
    ],
    GROUP_NATURE=[
        NENA,
        KIWEN,
        KASI,
    ],
    GROUP_ASTRONOMY=[
        MUN,
        SUNO,
        MA,
    ],
    GROUP_TIME=[
        TENPO,
        PINI,
        KAMA,
        SIN,
    ],
    GROUP_PRONOUNS=[
        MI,
        SINA,
        ONA,
    ],
    GROUP_TEMPERATURE=[
        LETE,
        SELI,
    ],
    GROUP_LOGICAL=[
        ANU,
        LA,
        TASO,
        EN,
        ALE,
        ALA,
        LON,
        KIN,
        TAN,
        ANTE,
        MUTE,
    ],
    GROUP_GRAMMAR=[
        LI,
        E,
        PI,
        SEME,
    ],
    GROUP_QUESTION=[
        SEME,
    ],
    GROUP_ELEMENTS=[
        KON,
        SELI,
        MA,
        TELO,
    ],
    GROUP_TASTE=[
        SUWI,
        JAKI,
    ],
    GROUP_DIFFERENT=[
        ANTE,
        NASA,
    ],
    GROUP_SIZE=[
        LILI,
        SULI,
    ],
    GROUP_LIVING=[
        KILI,
        SOWELI,
    ],
    GROUP_NUMBERS=[
        NANPA,
        ALA,
        WAN,
        TU,
        LUKA,
        MUTE,
        ALE,
    ],
    GROUP_PEOPLE=[
        JAN,
        KULUPU,
        MAMA,
        MELI,
        MIJE,
    ],
    GROUP_GENDERS=[
        MELI,
        MIJE,
    ],
    GROUP_FOOD=[
        MOKU,
        PAN,
        KILI,
        NAMAKO,
    ],
    GROUP_BODY=[
        SIJELO,
        LUKIN,
        NOKA,
        POKA,
        MONSI,
        SINPIN,
        LUKA,
        KUTE,
        LAWA,
        LINJA,
        PILIN,
        UTA,
        OKO,
        NENA,
        MISIKEKE,
    ],
    GROUP_OBJECTS=[
        IJO,
        ILO,
        LIPU,
        TOMO,
        LEN,
        POKI,
        SIKE,
        LEKO,
    ],
    GROUP_SHAPES=[
        SIKE,
        LEKO,
        LINJA,
    ],
    GROUP_LOCATIONS=[
        ESUN,
        MA,
        TOMO,
    ],
    GROUP_COLORS=[
        KULE,
        JELO,
        LASO,
        LOJE,
        PIMEJA,
        WALO,
    ],
    GROUP_FEELINGS=[
        PILIN,
        OLIN,
        MONSUTA,
    ],
    GROUP_HOUSE=[
        TOMO,
        LEKO,
        SITELEN,
    ],
    GROUP_ENGLISH_LIKE=[
        LUKIN,
        JELO,
        JAKI,
        MUSI,
        OPEN,
        TENPO,
        MANI,
        KEN,
        MUN,
        WAN,
        TU,
        SAMA,
        SUNO,
    ],
    GROUP_BULGARIAN_LIKE=[
        LINJA,
        SELO,
        LETE,
        LEN,
        LUPA,
        SUPA,
        UTA,
        OKO,
        NASIN,
        LAWA,
        LUKA,
        MAMA,
    ],
    GROUP_SERBIAN_LIKE=[
        NOKA,
        OLIN,
        ONA,
        SIJELO,
    ],
    GROUP_LANGUAGE=[
        KU,
        PU,
        NIMI,
    ],
    GROUP_INTERJECTIONS=[
        A,
        MU,
        O,
        N,
    ],
    GROUP_DIRECTIONS=[
        SEWI,
        ANPA,
        POKA,
        INSA,
        LON,
        SINPIN,
        MONSI,
        NI,
    ]
)
